const ServiceBase = require("../../sve.base");

class MerchantaccountService extends ServiceBase {
    constructor() {
        super("merchant", ServiceBase.getDaoName(MerchantaccountService));
    }

    async addtomerchantrmb(merchant_id, amount) {
        return await this.dao.addtomerchantrmb({
            merchant_id: merchant_id,
            amount: amount
        })
    }


    async accountbalance(params) {
        try {

        } catch (e) {
            console.log(e);
        }
    }

    async accountusablebalance(params) {
        try {

        } catch (e) {
            console.log(e);

        }
    }

}

module.exports = MerchantaccountService;
